from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.user import UserSchema
from helpers.user_helpers import get_all_users

router = APIRouter()

@router.get("/users", response_model=List[UserSchema])
def get_users(db: Session = Depends(get_db)):
    users = get_all_users(db)
    return users